/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.batch.functionsample.common;

/**
 * コードテーブルのパラメータクラス。
 */
public class CodeData {

    /**
     * コード
     */
    private String code;
    
    /**
     * キー
     */
    private String key;
    
    /**
     * 変換値
     */
    private String value;
    
    /**
     * コードを返却する。
     * @return コード
     */
    public String getCode() {
        return code;
    }
    
    /**
     * コードを設定する。
     * @param code 設定するコード
     */
    public void setCode(String code) {
        this.code = code;
    }
    
    /**
     * キーを返却する。
     * @return キー
     */
    public String getKey() {
        return key;
    }
    
    /**
     * キーを設定する。
     * @param key 設定するキー
     */
    public void setKey(String key) {
        this.key = key;
    }
    
    /**
     * 変換値を返却する。
     * @return 変換値
     */
    public String getValue() {
        return value;
    }
    
    /**
     * 変換値を設定する。
     * @param value 設定する変換値
     */
    public void setValue(String value) {
        this.value = value;
    }
}
